> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Jobs

> Endpoint to search for jobs based on various filters and criteria



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/job/search
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/job/search:
    get:
      tags:
        - Job
      summary: Search Jobs
      description: Endpoint to search for jobs based on various filters and criteria
      operationId: getApiV1JobSearch
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
            minLength: 1
            description: Search keyword for job titles or descriptions
            example: Backend Developer
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
          required: false
        - in: query
          name: sort_by
          schema:
            type: string
            enum:
              - recent
              - relevant
            description: Sort jobs by recent or relevance
            example: recent
            default: recent
          required: false
        - in: query
          name: date_posted
          schema:
            type: string
            enum:
              - anytime
              - past_month
              - past_week
              - past_24_hours
            description: Filter jobs by the date they were posted
            example: anytime
          required: false
        - in: query
          name: geocode
          schema:
            type: string
            pattern: ^\d+$
            description: Geographical code for location-based search
            example: '103644278'
          required: false
        - in: query
          name: company
          schema:
            type: string
            pattern: ^\d+$
            description: Filter jobs by company ID
            example: '1441'
          required: false
        - in: query
          name: experience_level
          schema:
            type: string
            enum:
              - internship
              - entry_level
              - associate
              - mid_senior
              - director
              - executive
            description: Filter jobs by required experience level
            example: internship
          required: false
        - in: query
          name: remote
          schema:
            type: string
            enum:
              - onsite
              - remote
              - hybrid
            description: Filter jobs by work location type
            example: onsite
          required: false
        - in: query
          name: job_type
          schema:
            type: string
            enum:
              - full_time
              - part_time
              - contract
              - temporary
              - volunteer
              - internship
              - other
            description: Filter jobs by type of employment
            example: full_time
          required: false
        - in: query
          name: easy_apply
          schema:
            type: boolean
            description: Filter jobs that are easy to apply for
            example: true
          required: false
        - in: query
          name: has_verifications
          schema:
            type: boolean
            description: Filter jobs that have company verifications
            example: true
          required: false
        - in: query
          name: under_10_applicants
          schema:
            type: boolean
            description: Filter jobs with fewer than 10 applicants
            example: true
          required: false
        - in: query
          name: fair_chance_employer
          schema:
            type: boolean
            description: Filter jobs from fair chance employers
            example: true
          required: false
        - in: query
          name: industry_ids
          schema:
            type: string
            description: Comma-separated industry IDs
            example: 4,435
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the job
                          example: '4182818517'
                        title:
                          type: string
                          description: Title of the job position
                          example: DevSecOps Engineer Intern
                        url:
                          type: string
                          description: URL to the job listing
                          example: https://www.linkedin.com/jobs/view/4182818517
                        listed_at:
                          type: string
                          description: Date and time when the job was listed
                          example: '2025-03-15T03:15:50.000Z'
                        is_promote:
                          type: boolean
                          description: Indicates if the job is promoted
                          example: false
                        is_easy_apply:
                          type: boolean
                          description: Indicates if the job is easy to apply for
                          example: false
                        location:
                          type: string
                          description: Location of the job
                          example: United States (Remote)
                        company:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the company
                              example: '2847303'
                            name:
                              type: string
                              description: Name of the company
                              example: Coventry Workers' Comp & Auto Networks
                            url:
                              type: string
                              description: URL to the company LinkedIn profile
                              example: https://www.linkedin.com/company/2847303
                            verified:
                              type: boolean
                              description: Indicates if the company is verified
                              example: true
                            logo:
                              type: array
                              items:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                              description: Array of company logos
                    description: Array of job search results
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````